ChangeSet 1.1673.8.34, 2004/03/26 12:32:39-08:00, mroos@linux.ee

[PATCH] USB: fix whiteheat USB serial compile failure on PPC

> Bah, looks like PPC doesn't ever define CMSPAR :(
>
> How about adding something like:
> 	#ifndef CMSPAR
> 	#define CMSPAR 0
> 	#endif
> To the beginning of the driver like the cdc-acm.c driver does?  If that
> works, care to send me a patch?

Yes, it compiles.


 drivers/usb/serial/whiteheat.c |    4 ++++
 1 files changed, 4 insertions(+)


diff -Nru a/drivers/usb/serial/whiteheat.c b/drivers/usb/serial/whiteheat.c
--- a/drivers/usb/serial/whiteheat.c	Wed Apr 14 14:37:25 2004
+++ b/drivers/usb/serial/whiteheat.c	Wed Apr 14 14:37:25 2004
@@ -91,6 +91,10 @@
 #include "whiteheat_fw.h"		/* firmware for the ConnectTech WhiteHEAT device */
 #include "whiteheat.h"			/* WhiteHEAT specific commands */
 
+#ifndef CMSPAR
+#define CMSPAR 0
+#endif
+
 /*
  * Version Information
  */
